Package com.independentsoft.office.odf.drawing

# Class PageThumbnail

java.lang.Object
com.independentsoft.office.odf.drawing.Shape
com.independentsoft.office.odf.drawing.PageThumbnail

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`

public class PageThumbnail extends Shape
Represents a rectangular area that displays the thumbnail of a drawing page.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.drawing.Shape

  `height, id, layer, name, parent, style, textStyle, transform, width, x, y, zIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageThumbnail()`
  Initializes a new instance of the PageThumbnail class.
  `PageThumbnail​(InternalXMLStreamReader reader)`
  Instantiates a new page thumbnail.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageThumbnail`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `int`
  `getPageNumber()`
  Gets the number of a page that is displayed as a thumbnail.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getRelativeHeight()`
  Gets height of a drawing object as a relative value within a frame.
  `String`
  `getRelativeWidth()`
  Gets width of a drawing object as a relative value within a frame.
  `void`
  `setPageNumber​(int pageNumber)`
  Sets the number of a page that is displayed as a thumbnail.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setRelativeHeight​(String relativeHeight)`
  Sets height of a drawing object as a relative value within a frame.
  `void`
  `setRelativeWidth​(String relativeWidth)`
  Sets width of a drawing object as a relative value within a frame.
  `String`
  `toString()`
  Converts the value of the current PageThumbnail object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.drawing.Shape

  `getHeight, getID, getLayer, getName, getStyle, getTextStyle, getTransform, getWidth, getX, getY, getZIndex, setHeight, setID, setLayer, setName, setStyle, setTextStyle, setTransform, setWidth, setX, setY, setZIndex`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageThumbnail

    public PageThumbnail()
    Initializes a new instance of the PageThumbnail class.

  - ### PageThumbnail

    public PageThumbnail​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new page thumbnail.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Shape`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Shape`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Shape`
    Parameters:
      `parent` - the new parent

  - ### clone

    public PageThumbnail clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Specified by:
      `clone` in class `Shape`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current PageThumbnail object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getRelativeWidth

    public String getRelativeWidth()
    Gets width of a drawing object as a relative value within a frame.
    Returns:
      the relative width

  - ### setRelativeWidth

    public void setRelativeWidth​(String relativeWidth)
    Sets width of a drawing object as a relative value within a frame.
    Parameters:
      `relativeWidth` - the new relative width

  - ### getRelativeHeight

    public String getRelativeHeight()
    Gets height of a drawing object as a relative value within a frame.
    Returns:
      the relative height

  - ### setRelativeHeight

    public void setRelativeHeight​(String relativeHeight)
    Sets height of a drawing object as a relative value within a frame.
    Parameters:
      `relativeHeight` - the new relative height

  - ### getPageNumber

    public int getPageNumber()
    Gets the number of a page that is displayed as a thumbnail. For thumbnails on notes pages, the value of this attribute is fixed to the drawing page of a notes page. For thumbnails on handout master pages, the value of this attribute is the order in which the pages are previewed on the handout.
    Returns:
      the page number

  - ### setPageNumber

    public void setPageNumber​(int pageNumber)
    Sets the number of a page that is displayed as a thumbnail. For thumbnails on notes pages, the value of this attribute is fixed to the drawing page of a notes page. For thumbnails on handout master pages, the value of this attribute is the order in which the pages are previewed on the handout.
    Parameters:
      `pageNumber` - the new page number